<ly-grid container justify="center" alignItems="center" class="container-form">
  <perfect-scrollbar>
    <ly-grid container justify="center" alignItems="center" class="container-form">
    <ly-card style="max-width: 350px;position: relative">
      <ly-grid container justify="center" alignItems="center">
        <ly-avatar class="content-img-logo">
          <img [src]="global.LOGO_URL">
        </ly-avatar>
      </ly-grid>
      <ly-grid container justify="center" alignItems="center" style="position: absolute; top: 225px;">
        <h2>MegaChat</h2>
      </ly-grid>
      <form [formGroup]="userForm" (ngSubmit)="registerUser()">
        <ly-card-content class="card-content">
          <h2 lyTyp="headline" gutterBottom class="title text-center">
            REGISTER TO YOUR ACCOUNT
          </h2>
          <ly-grid item [col]="'12 12@XSmall'">
            <ly-field fullWidth #_field [appearance]="appearance">
              <input lyNativeControl type="email" autocomplete="off"
                     id="nick" class="input" placeholder="Please enter your nick" formControlName="nick" required>
              <ly-label>Nick</ly-label>
              <ly-hint></ly-hint>
              <ly-error *ngIf="formErrors.email">{{ formErrors.email }}</ly-error>
            </ly-field>

            <ly-field fullWidth #_field [appearance]="appearance">
              <input lyNativeControl type="email" autocomplete="off"
                     id="email" class="input" placeholder="Please enter your email" formControlName="email" required>
              <ly-label>Email</ly-label>
              <ly-hint></ly-hint>
              <ly-error *ngIf="formErrors.email">{{ formErrors.email }}</ly-error>
            </ly-field>

            <ly-field fullWidth #_field [appearance]="appearance">
              <input lyNativeControl [type]="hide ? 'password' : 'text'" autocomplete="off"
                     type="password" id="password" placeholder="********" formControlName="password" required>
              <ly-label>Enter your password</ly-label>
              <ly-hint [align]="'after'">{{ count_password || 0 }}/8</ly-hint>
              <ly-error style="margin-right: 10px;" *ngIf="formErrors.password">{{ formErrors.password }}</ly-error>
              <button ly-button
                      appearance="icon"
                      lySuffix
                      (click)="hide = !hide"
                      [color]="_field.errorState ? 'warn' : 'text'"
              >
                <ly-icon>{{ hide ? 'visibility' : 'visibility_off' }}</ly-icon>
              </button>
            </ly-field>
          </ly-grid>
        </ly-card-content>
        <ly-card-actions disableActionSpacing class="text-center action-form">
          <button [withClass]="classes.button" ly-button outlined raised color="primary"
                  shadowColor="primary" type="submit" [disabled]="!userForm.valid">
            <span [className]="classes.labelBefore">Register</span>
            <ly-icon>send</ly-icon>
          </button>
        </ly-card-actions>
      </form>
      <ly-grid container [spacing]="16" class="footer-card">
        <ly-grid item [col]="12">
          <div [className]="classes.item">
            You are already registered?
            <a class="pointer" [className]="classes.link" [routerLink]="global.URL_LOGIN">Login</a>
          </div>
        </ly-grid>
      </ly-grid>
    </ly-card>
    </ly-grid>
  </perfect-scrollbar>
</ly-grid>
